$LOAD_PATH << File.expand_path("../../lib", __FILE__)

require 'bundler/setup'
require 'combustion'
require 'headless'
require 'capybara/rspec'

Combustion.initialize! :active_record,
                       :action_controller,
                       :action_view do
  config.i18n.enforce_available_locales   = false
  config.menu_rails.menu_item_class_name = 'DummyMenuItem'
end

Bundler.require(:default, :development, :test)

require 'rails'
require 'rails/all'
require 'rspec/rails'
require 'capybara/rails'
require 'capybara/dsl'
require 'factories'

Dir[File.expand_path("../support/**/*.rb", __FILE__)].each { |f| require f }

require 'pry'

# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require "spec_helper"` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered                = true
  config.filter_run :focus

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'

  # Capybara with webkit and headless + DSL
  Capybara.javascript_driver = :webkit
  $HEADLESS_DISPLAY          = Headless.new(display: 20).start
  config.include Capybara::DSL, type: :feature
end